org.apache.fop.render.ps

## Class PSRendererConfigurator

- java.lang.Object
- - org.apache.fop.render.AbstractRendererConfigurator
  - - org.apache.fop.render.PrintRendererConfigurator
    - - org.apache.fop.render.DefaultRendererConfigurator
      - - org.apache.fop.render.ps.PSRendererConfigurator

All Implemented Interfaces:
  IFDocumentHandlerConfigurator

    public class PSRendererConfigurator
    extends DefaultRendererConfigurator

Postscript renderer config

### Field Summary

### Fields inherited from class org.apache.fop.render.AbstractRendererConfigurator

`userAgent`

### Constructor Summary

Constructors
Constructor and Description
`PSRendererConfigurator(FOUserAgent userAgent, RendererConfig.RendererConfigParser rendererConfigParser)` Default constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configure(IFDocumentHandler documentHandler)` Configures a intermediate format document handler.

### Methods inherited from class org.apache.fop.render.DefaultRendererConfigurator

`getDefaultFontCollection`

### Methods inherited from class org.apache.fop.render.PrintRendererConfigurator

`configure, createCollectionFromFontList, createDefaultInstance, getCustomFontCollection, getRendererConfig, getRendererConfig, getRendererConfig, setupFontInfo`

### Methods inherited from class org.apache.fop.render.AbstractRendererConfigurator

`getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PSRendererConfigurator

    public PSRendererConfigurator(FOUserAgent userAgent,
                                  RendererConfig.RendererConfigParser rendererConfigParser)

Default constructor

Parameters:
  `userAgent` - user agent

### Method Detail

#### configure

    public void configure(IFDocumentHandler documentHandler)
                   throws FOPException

Description copied from class: `PrintRendererConfigurator`
Configures a intermediate format document handler.

Specified by:
  `configure` in interface `IFDocumentHandlerConfigurator`
Overrides:
  `configure` in class `PrintRendererConfigurator`
Parameters:
  `documentHandler` - the document handler instance
Throws:
  `FOPException` - if an error occurs while configuring the object